Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.query
Interface Joins

public interface Joins

Tracks joins made when traversing relations in a select.

Method Summary
`void` | `crossJoin(Table localTable, Table foreignTable)` Perform a full cross join on the given tables.
`String` | `getColumnAlias(Column col)` Return the alias for the given column.
`String` | `getTableAlias(Table table)` Return the alias for the given table.
`boolean` | `hasJoins()` Return true if this instance has any joins.
`void` | `join(Column[] local, Column[] foreign, boolean toMany)` Join the given columns.
`void` | `joinRelation(String name, ClassMapping type, Column[] local, Column[] pk, boolean toMany)` Join the given columns of a named field to the primary key columns of a related type.
`void` | `setVariable(String var)` Set the variable name being traversed into with the next join.

Method Detail

### hasJoins

    public boolean hasJoins()

  Return true if this instance has any joins.

### crossJoin

    public void crossJoin(Table localTable,
                          Table foreignTable)

  Perform a full cross join on the given tables.

### join

    public void join(Column[] local,
                     Column[] foreign,
                     boolean toMany)

  Join the given columns.

### joinRelation

    public void joinRelation(String name,
                             ClassMapping type,
                             Column[] local,
                             Column[] pk,
                             boolean toMany)

  Join the given columns of a named field to the primary key columns of a related type.

### setVariable

    public void setVariable(String var)

  Set the variable name being traversed into with the next join.

### getColumnAlias

    public String getColumnAlias(Column col)

  Return the alias for the given column.

### getTableAlias

    public String getTableAlias(Table table)

  Return the alias for the given table.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.